Autoblocks popping up for long-since blocked users frequently
Closed, ResolvedPublic

Description

From [[WP:VPT]]:

We're seeing autoblocks pop up in cases where the blocked user hasn't edited in a Very Long Time. For instance, at [[User talk:Esoglou]], we see he was hit by an autoblock from an account blocked in late 2009. I've seen several other such today.

and

http://en.wikipedia.org/wiki/Special:BlockList?wpTarget=%233617969 should show (in this case) the autoblock information; I don't see any way to lift an autoblock any more.


Version: 1.18.x
Severity: normal

bzimport set Reference to bz31403.
MarkAHershberger created this task.Via LegacyOct 6 2011, 2:24 AM
aaron added a comment.Via ConduitOct 6 2011, 3:33 AM

BlockList fix made in r99076.

In any case, on my testwiki, clicking the "change block" link lets me undo autoblocks without problems.

tstarling added a comment.Via ConduitOct 6 2011, 5:14 AM

Autoblocks are created when User::getBlockedStatus() is called. It's possible that in 1.17, this function was only called when the user attempted to edit, whereas in 1.18, it is called more often, perhaps when the user logs in via CentralAuth to another wiki. If this is the case, then it is a performance regression as well as a nuisance.

I investigated block #3618416. The user in question is permanently blocked on en.wikipedia.org, but was editing meta.wikimedia.org at approximately the time of the autoblock.

MarkAHershberger added a comment.Via ConduitOct 6 2011, 3:33 PM

More:
14:39, 6 October 2011 Autoblock #3620311 14:39, 7 October 2011 (unblock) Jpgordon (talk | contribs | block) account creation blocked (Autoblocked because your IP address was recently used by "Jpotts15". The reason given for Jpotts15's block is: "Vandalism-only account".)

Here's another: http://en.wikipedia.org/w/index.php?title=Special:BlockList&action=search&ip=%233619641 -- this time the block was in 2010.

bzimport added a comment.Via ConduitOct 6 2011, 6:18 PM

user.jpgordon wrote:

More verification of global cause: an unblock request on enwiki related to

http://pt.wikipedia.org/w/index.php?title=Special:Contributions/Ingrid%20Rodrigues

She's blocked on enwiki since 11 May 2010.

MaxSem added a comment.Via ConduitOct 7 2011, 1:58 PM

Backtrace on usual page view of a special page:
#1 D:\Projects\MediaWiki\includes\User.php(1550): User->getBlockedStatus(true)
#2 D:\Projects\MediaWiki\includes\User.php(1540): User->getBlock(true)
#3 D:\Projects\MediaWiki\includes\Skin.php(639): User->isBlocked()
#4 D:\Projects\MediaWiki\includes\SkinTemplate.php(247): Skin->getUndeleteLink()
#5 D:\Projects\MediaWiki\includes\OutputPage.php(1876): SkinTemplate->outputPage()
#6 D:\Projects\MediaWiki\includes\Wiki.php(381): OutputPage->output()
#7 D:\Projects\MediaWiki\includes\Wiki.php(624): MediaWiki->finalCleanup()
#8 D:\Projects\MediaWiki\includes\Wiki.php(532): MediaWiki->main()
#9 D:\Projects\MediaWiki\index.php(58): MediaWiki->run()
#10 {main}

This whole bloody system of implicit autoblocks needs a rewrite.

Caused by r93246, reverted in r93246.

MaxSem added a comment.Via ConduitOct 7 2011, 2:03 PM

Grrr, reverted in r99211.

aaron added a comment.Via ConduitOct 7 2011, 7:55 PM

(In reply to comment #6)

Grrr, reverted in r99211.

That reverted code that was not deployed. The reverted code would have made this worse if it was deployed, though.

aaron added a comment.Via ConduitOct 8 2011, 8:24 PM

Possible fix in r99323 to reduce occurrence of this.

MarkAHershberger added a comment.Via ConduitOct 9 2011, 3:30 AM

since this hasn't been deployed yet, here is another (similar) report: http://en.wikipedia.org/w/index.php?diff=454639680

aaron added a comment.Via ConduitOct 9 2011, 3:38 AM

(In reply to comment #9)

since this hasn't been deployed yet, here is another (similar) report:
http://en.wikipedia.org/w/index.php?diff=454639680

I don't see the relation? Wrong link?

bzimport added a comment.Via ConduitOct 9 2011, 4:42 AM

alexsm333 wrote:

Correct link to report:
http://en.wikipedia.org/w/index.php?diff=454640449

Comment: it would be nice to at least have a "hint" that IP is rangeblocked like it was before (I understand for autoblocks it was a privacy issue)
see http://en.wikipedia.org/w/index.php?diff=454656826

bzimport added a comment.Via ConduitOct 11 2011, 7:03 PM

ronald wrote:

This user
http://en.wikipedia.org/wiki/User_talk:Manny_may
has had 3 autoblocks in a week - all repeating an autoblock 11 months ago.

RobLa-WMF added a comment.Via ConduitOct 11 2011, 9:04 PM

Assigning to Tim for review of r99323 and followups. Can assign back to Aaron for backporting and deployment

MarkAHershberger added a comment.Via ConduitOct 15 2011, 10:03 PM

tagging bugs for Marcus to look at

Risker added a comment.Via ConduitOct 16 2011, 12:47 PM

(In reply to comment #12)

This user
http://en.wikipedia.org/wiki/User_talk:Manny_may
has had 3 autoblocks in a week - all repeating an autoblock 11 months ago.

For the record, this new account was at times editing on the same IP address as the original, indefinitely blocked account - and turns out to be a sock of the original account.

While I realise that you're trying to resolve all bugs, and this may only be one aspect of a larger issue to be fixed...as an early warning system of a returned indef blocked user, this particular bug characteristic is not a net negative.

tstarling added a comment.Via ConduitOct 21 2011, 4:22 AM

Reviewed and tagged for backport.

RobLa-WMF added a comment.Via ConduitOct 21 2011, 6:07 PM

Assigning to Aaron to finish off and deploy.

MarkAHershberger added a comment.Via ConduitOct 24 2011, 4:53 PM

Maybe related to Bug 31893 ??

aaron added a comment.Via ConduitOct 24 2011, 11:19 PM

Backported and live.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.